Subject: Re: Foliar Feed

From: [email-masked](Michael L Roginsky )
Date: 15 Feb 1996 22:35:43 GMT

In <[email-masked]> [email-masked] (Tom Stuart)
writes: 
>
>Are there any general guidelines for predicting whether foliar feeding
>is beneficial? Do all plants benefit? Or are there wide variations?
>
>Tom Stuart, Hudson Valley, NY
>
Foliar feeding is done in many apple orchards here in GA. Miracle Grow
also advertises feeding garden vegetables while watering. It seems to
work, but it needs to be determined on basis of soil composition,
moisture, and concetration of nutrients. I have no "unbiased" data to
offer. Contact your county farm agent. That's what they are paid to
do..advise gardeners and growers and provide means of determining the
requirements, mainly, NPK, of the solution.:)...Micro.